Package org.apache.catalina.users

# Class SparseUserDatabase

java.lang.Object
org.apache.catalina.users.SparseUserDatabase

All Implemented Interfaces:
  `UserDatabase`

Direct Known Subclasses:
  `DataSourceUserDatabase`

public abstract class SparseUserDatabase extends Object implements UserDatabase

## Constructor Summary

Constructors
Constructor
Description
`SparseUserDatabase()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSparse()`
Is the database data loaded on demand.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.catalina.UserDatabase

`backgroundProcess, close, createGroup, createRole, createUser, findGroup, findRole, findUser, getGroups, getId, getRoles, getUsers, isAvailable, modifiedGroup, modifiedRole, modifiedUser, open, removeGroup, removeRole, removeUser, save`

## Constructor Details

### SparseUserDatabase

public SparseUserDatabase()

## Method Details

### isSparse

public boolean isSparse()
Description copied from interface: `UserDatabase`
Is the database data loaded on demand. This is used to avoid eager loading of the full database data, for example for JMX registration of all objects.

Specified by:
  `isSparse` in interface `UserDatabase`
Returns:
  false